Loading...
Searching...
No Matches
juce::MathConstants< FloatType > Struct Template Reference

`#include <juce_MathsFunctions.h>`

## Static Public Attributes

static constexpr FloatType | pi = static_cast<FloatType> (3.141592653589793238L)
static constexpr FloatType | twoPi = static_cast<FloatType> (2 * 3.141592653589793238L)
static constexpr FloatType | halfPi = static_cast<FloatType> (3.141592653589793238L / 2)
static constexpr FloatType | euler = static_cast<FloatType> (2.71828182845904523536L)
static constexpr FloatType | sqrt2 = static_cast<FloatType> (1.4142135623730950488L)

## Detailed Description

template<typename FloatType>
struct juce::MathConstants< FloatType >

Commonly used mathematical constants

Definition at line 138 of file juce_MathsFunctions.h.

## Member Data Documentation

## euler

template<typename FloatType>

FloatType juce::MathConstants< FloatType >::euler = static_cast<FloatType> (2.71828182845904523536L)

static constexpr

A predefined value for Euler's number

Definition at line 150 of file juce_MathsFunctions.h.

## halfPi

template<typename FloatType>

FloatType juce::MathConstants< FloatType >::halfPi = static_cast<FloatType> (3.141592653589793238L / 2)

static constexpr

A predefined value for Pi / 2

Definition at line 147 of file juce_MathsFunctions.h.

Referenced by juce::dsp::SpecialFunctions::cde(), juce::dsp::SpecialFunctions::ellipticIntegralK(), and juce::dsp::SpecialFunctions::sne().

## pi

template<typename FloatType>

FloatType juce::MathConstants< FloatType >::pi = static_cast<FloatType> (3.141592653589793238L)

static constexpr

A predefined value for Pi

Definition at line 141 of file juce_MathsFunctions.h.

Referenced by juce::dsp::SpecialFunctions::asne(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassHalfBandEquirippleMethod(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassLeastSquaresMethod(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassTransitionMethod(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassWindowMethod(), juce::dsp::FilterDesign< FloatType >::designIIRHighpassHighOrderButterworthMethod(), juce::dsp::FilterDesign< FloatType >::designIIRLowpassHalfBandPolyphaseAllpassMethod(), juce::dsp::FilterDesign< FloatType >::designIIRLowpassHighOrderButterworthMethod(), juce::dsp::Oscillator< SampleType >::initialise(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeAllPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeBandPass(), juce::IIRCoefficients::makeBandPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderAllPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderHighPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeFirstOrderLowPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeHighPass(), juce::IIRCoefficients::makeHighPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeHighShelf(), juce::IIRFilterBase< SpinLock >::makeInactive(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeLowPass(), juce::IIRCoefficients::makeLowPass(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeLowShelf(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makeNotch(), juce::IIRCoefficients::makeNotchFilter(), juce::dsp::IIR::ArrayCoefficients< NumericType >::makePeakFilter(), juce::dsp::BallisticsFilter< SampleType >::prepare(), juce::dsp::Oscillator< SampleType >::process(), juce::dsp::Oscillator< SampleType >::processSample(), and juce::dsp::StateVariableFilter::Parameters< NumericType >::setCutOffFrequency().

## sqrt2

template<typename FloatType>

FloatType juce::MathConstants< FloatType >::sqrt2 = static_cast<FloatType> (1.4142135623730950488L)

static constexpr

A predefined value for sqrt (2)

Definition at line 153 of file juce_MathsFunctions.h.

Referenced by juce::IIRCoefficients::makeAllPass(), juce::IIRCoefficients::makeBandPass(), juce::IIRCoefficients::makeLowPass(), juce::IIRCoefficients::makeNotchFilter(), and juce::dsp::StateVariableFilter::Parameters< NumericType >::setCutOffFrequency().

## twoPi

template<typename FloatType>

FloatType juce::MathConstants< FloatType >::twoPi = static_cast<FloatType> (2 * 3.141592653589793238L)

static constexpr

A predefined value for 2 * Pi

Definition at line 144 of file juce_MathsFunctions.h.

Referenced by juce::dsp::Phase< Type >::advance(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassHalfBandEquirippleMethod(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassKaiserMethod(), juce::dsp::FilterDesign< FloatType >::designFIRLowpassLeastSquaresMethod(), juce::dsp::FilterDesign< FloatType >::designIIRLowpassHalfBandPolyphaseAllpassMethod(), juce::dsp::IIR::Coefficients< NumericType >::getMagnitudeForFrequency(), juce::dsp::IIR::Coefficients< NumericType >::getMagnitudeForFrequencyArray(), juce::ToneGeneratorAudioSource::getNextAudioBlock(), juce::dsp::IIR::Coefficients< NumericType >::getPhaseForFrequency(), juce::dsp::IIR::Coefficients< NumericType >::getPhaseForFrequencyArray(), juce::IIRCoefficients::makeHighShelf(), juce::IIRCoefficients::makePeakFilter(), juce::AudioDeviceManager::playTestSound(), juce::dsp::Oscillator< SampleType >::process(), juce::dsp::Oscillator< SampleType >::processSample(), and juce::IIRFilterBase< SpinLock >::processSingleSampleRaw().

The documentation for this struct was generated from the following file:

- juce_MathsFunctions.h